Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1110)

Unified Diff: ssh_test.sh

Issue 6736023: Install test scripts into chroot. (Closed) Base URL: http://git.chromium.org/git/crostestutils.git@master
Patch Set: Remove vm scripts from makefile Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « run_remote_tests.sh ('k') | utils_py/cros_run_parallel_vm_tests.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ssh_test.sh
diff --git a/ssh_test.sh b/ssh_test.sh
deleted file mode 100755
index 3352cd62d9bc80004e2e6e1494dff76825f40b46..0000000000000000000000000000000000000000
--- a/ssh_test.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-# Run remote access test to ensure ssh access to a host is working. Exits with
-# a code of 0 if successful and non-zero otherwise. Used by test infrastructure
-# scripts.
-
-. $(dirname "$(readlink -f "$0")")/outside_chroot_common.sh 2> /dev/null ||
- SCRIPT_ROOT=/usr/lib/crosutils
-. "${SCRIPT_ROOT}/common.sh" ||
- (echo "Unable to load common.sh" && false) ||
- exit 1
-. "${SCRIPT_ROOT}/remote_access.sh" || die "Unable to load remote_access.sh"
-
-function cleanup {
- cleanup_remote_access
- rm -rf "${TMP}"
-}
-
-function main() {
- cd "${SCRIPTS_DIR}"
-
- FLAGS "$@" || exit 1
- eval set -- "${FLAGS_ARGV}"
-
- set -e
-
- trap cleanup EXIT
-
- TMP=$(mktemp -d /tmp/ssh_test.XXXX)
-
- remote_access_init
-}
-
-main $@
« no previous file with comments | « run_remote_tests.sh ('k') | utils_py/cros_run_parallel_vm_tests.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698